rt-search-attributes(8)

NAME
rt-search-attributes - search RT Attribute objects

SYNOPSIS
rt-search-attributes [OPTION] ATTRIBUTE_NAME QUALIFYING_CODE

DESCRIPTION
This script searches all attributes named ATTRIBUTE_NAME with qualifying code QUALIFYING_CODE and prints out the details of matching attributes.

QUALIFYING_CODE can use a number of variables to call on RT::Attribute's properties:
   $Id, $ObjectType, $ObjectId, $Name, $Description, $Content
   $_ is available as shorthand for $Content

-c, --content
    Print attribute content

-h, --help
    Display this help and exit

e.g.

rt-search-attributes SavedSearch '$id > 10' rt-search-attributes Search '$_->{Query} =~ /Status/'